Bug 105433 - UI - Tooltip flickers annoyingly in dialogs when overlaid over another hierarchically superior dialog
Summary: UI - Tooltip flickers annoyingly in dialogs when overlaid over another hierar...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All macOS (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 107596 121240 139245 144120 144123 146563 148572 (view as bug list)
Depends on:
Blocks: Flickering-UI
  Show dependency treegraph
 
Reported: 2017-01-19 07:53 UTC by Alex Thurgood
Modified: 2022-06-06 23:14 UTC (History)
10 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
flashing tooltip (1.08 MB, image/gif)
2020-02-18 02:16 UTC, So
Details
Screen capture displaying flickering tooltips (4.35 MB, video/quicktime)
2022-04-13 12:48 UTC, Alex Thurgood
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Thurgood 2017-01-19 07:53:29 UTC
Description:
The tooltip "List the existing macros and dialogs" flickers rapidly and annoyingly (my guess is at the refresh rate of the screen) when the Basic Macro Organizer dialog is overlaid over the Basic Macros dialog. As this is the default when the dialog is opened, it is particularly distracting and annoying. 

Steps to Reproduce:
1. Start LibreOffice, open a Writer document.
2. Tools > Macros > Organize Macros > LibreOffice Basic
3. Click on the Organizer button

Actual Results:  
As the mouse cursor moves over any of the libraries, the tooltip is displayed and it flickers annoyingly. The flicker disappears if the dialog window is moved outside of the Basic Macros dialog window

Expected Results:
The tooltip should not flicker.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.12; rv:50.0) Gecko/20100101 Firefox/50.0
Comment 1 Alex Thurgood 2017-01-19 10:35:18 UTC
Also present in 

Version: 5.1.6.2
Build ID: 07ac168c60a517dba0f0d7bc7540f5afa45f0909
Threads CPU : 2; Version de l'OS :Mac OS X 10.12.2; UI Render : par défaut; 
Locale : fr-FR (fr_FR.UTF-8); Calc: group


I might have forgotten to mention that you need to enable Tooltips under Preferences on OSX (or Tools>Options on other OSes)
Comment 2 Alex Thurgood 2017-01-19 10:40:33 UTC
I can also reproduce this behaviour in the Spelling and Grammar dialog, by opening the Options dialog window over the top of the Spelling and Grammar dialog.

Changed title accordingly. Affects dialogs where the the sub-dialog is overlaid over the hierarchically superior dialog.
Comment 3 Alex Thurgood 2017-01-19 10:44:42 UTC
Also reproducible in 

Version: 4.1.4.2
Build ID: 0a0440ccc0227ad9829de5f46be37cfb6edcf72
Comment 4 Alex Thurgood 2017-01-19 10:51:00 UTC
Problem also present in 

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4

Inherited from OOo
Comment 5 Yousuf Philips (jay) (retired) 2017-01-19 11:02:46 UTC
In addition to having 'extended tooltips' enabled you also need to have help installed. :D

So i tested 5.0, which i have help installed for, and dont see the issue, so its possibly an osx only issue.

Version: 5.0.3.2
Build ID: 1:5.0.3~rc2-0ubuntu1~trusty2
Locale: en-US (en_US.UTF-8)

@Steve: Can you check this out to confirm?

@Alex: Could this be a OSX version issue on a newer release?
Comment 6 Cor Nouws 2017-01-19 14:34:28 UTC
(In reply to Alex Thurgood from comment #0)

> Actual Results:  
> As the mouse cursor moves over any of the libraries, the tooltip is
> displayed and it flickers annoyingly. The flicker disappears if the dialog
> window is moved outside of the Basic Macros dialog window

One must have Extended Tooltips activated (Tools > Options > LibreOffice > General)

In my version (Ubuntu Linux, 5.4 master) the tooltip is poping up irregular, but no constant annoying flickering.
Comment 7 steve 2017-01-19 16:14:04 UTC
confirmed and yes this is annoying.

Version: 5.4.0.0.alpha0+
Build ID: 9e7526044c8fa6b006b0cb791d15f2476c96ebf2
CPU Threads: 4; OS Version: Mac OS X 10.12.2; UI Render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2017-01-14_04:23:59
Locale: de-DE (de_DE.UTF-8); Calc: group

→ NEW
Comment 8 Yousuf Philips (jay) (retired) 2017-02-04 13:58:02 UTC
@Alex, @Steve: If you can do a screencast, that would be great.
Comment 9 steve 2017-02-05 22:14:58 UTC
workforme w Version: 5.4.0.0.alpha0+
Build ID: 789ed159fb03eef26c991f361380d0eb7b509cd9
CPU Threads: 4; OS Version: Mac OS X 10.12.3; UI Render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2017-02-03_01:08:49
Locale: de-DE (de_DE.UTF-8); Calc: group

@Alex: please verify and re-open if I am mistaken.
Comment 10 Alex Thurgood 2017-02-06 11:15:44 UTC
I can still reproduce this in

Version: 5.4.0.0.alpha0+
Build ID: 6c4310cc176c02624f5fa94fb50fec6050ce904b
CPU Threads: 2; OS Version: Mac OS X 10.12.2; UI Render: default; 
Locale: fr-FR (fr_FR.UTF-8); Calc: group


My test version is possibly just slightly older than yours (by a day or so). Will rebuild and test again.
Comment 11 Alex Thurgood 2017-02-06 12:34:56 UTC
For repro steps, tooltips need to be activated.
Comment 12 Alex Thurgood 2017-05-03 13:42:07 UTC
*** Bug 107596 has been marked as a duplicate of this bug. ***
Comment 13 Alex Thurgood 2017-07-24 08:09:03 UTC
This behaviour is still happening in 5342
Comment 14 Alex Thurgood 2017-09-15 11:35:50 UTC
Still present in 

Version: 5.4.1.2
Build ID: ea7cb86e6eeb2bf3a5af73a8f7777ac570321527
CPU threads: 4; OS: Mac OS X 10.12.6; UI render: default; 
Locale: fr-FR (fr_FR.UTF-8); Calc: group
Comment 15 Alex Thurgood 2018-11-07 15:05:17 UTC
Still present in

Version: 6.2.0.0.alpha1+
Build ID: 740b99783b5480fcd1e5fce7c1beb5967d015041
CPU threads: 8; OS: Mac OS X 10.14; UI render: default; VCL: osx; 
Locale: fr-FR (fr_FR.UTF-8); Calc: threaded
Comment 16 Alex Thurgood 2018-11-07 15:05:38 UTC
*** Bug 121240 has been marked as a duplicate of this bug. ***
Comment 17 QA Administrators 2019-11-08 03:37:57 UTC Comment hidden (obsolete)
Comment 18 Roman Kuznetsov 2019-11-17 12:30:04 UTC
I don't see any toolips in that dialog in


Version: 6.5.0.0.alpha0+
Build ID: d04eef858250f97690f32dba17f42d157a8767fc
CPU threads: 4; OS: Mac OS X 10.15.1; UI render: default; VCL: osx; 
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

Alex, can you retest it in latest master?
Comment 19 Alex Thurgood 2019-12-02 12:45:06 UTC
No repro any more with

Version: 6.3.3.2
Build ID: a64200df03143b798afd1ec74a12ab50359878ed
Threads CPU : 8; OS : Mac OS X 10.14.6; UI Render : par défaut; VCL: osx; 
Locale : fr-FR (fr_FR.UTF-8); Langue IHM : fr-FR
Calc: threaded
Comment 20 Alex Thurgood 2019-12-02 12:46:48 UTC
(In reply to Roman Kuznetsov from comment #18)
> I don't see any toolips in that dialog in
> 
> 

Indeed the tooltip appears to have been removed, or deactivated.
Comment 21 So 2020-02-18 02:16:34 UTC
Created attachment 157964 [details]
flashing tooltip

Reproduced same problem in toolbar with

Version: 7.0.0.0.alpha0+
Build ID: 4caa7b790cf99eebbe47fc2e6a56124c42f1f3fc
CPU threads: 4; OS: Mac OS X 10.14.6; UI render: default; VCL: osx; 
Locale: ja-JP (ja_JP.UTF-8); UI-Language: en-US
Calc: threaded
Comment 22 Alex Thurgood 2021-02-18 11:15:05 UTC
Sorry, no repro for me with

Version: 7.1.0.3 / LibreOffice Community
Build ID: f6099ecf3d29644b5008cc8f48f42f4a40986e4c
CPU threads: 8; OS: Mac OS X 10.16; UI render: default; VCL: osx
Locale: fr-FR (fr_FR.UTF-8); UI: en-US
Calc: threaded

Even in the toolbar as exemplified by the animated gif that was attached.
Comment 23 docfoundation 2021-08-12 16:29:51 UTC
This is also a problem on linux, so I took the liberty of revising the ticket from "MacOS" to "All".  And on linux the effect is much more severe.  The flicker is not just annoying, it's catastrophic.  As the tool tips flickers in an apparent endless loop, the popup cannot be closed and the main window is frozen and non-responsive.  The main window can't even be closed. The process must be killed from a terminal.  This renders the oowriter GUI completely unusable.  The only functionality that works is headless jobs using --headless.  So if you just need to convert a Word doc to PDF, this is the workaround:

$ libreoffice --headless --convert-to pdf "$msword_doc" --outdir "$output_dir"

This tool chain has no issue:

Debian Stretch + Xorg + LibreOffice

This is broken:

Debian Bullseye + Xorg + Wayland + Xwayland + Sway + LibreOffice 7.0.4
Comment 24 steve 2022-04-13 10:55:18 UTC
Fix for https://bugs.documentfoundation.org/show_bug.cgi?id=148115by Jan-Marek Glogowski was verified yesterday.

Unable to repoduce the flicking in Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: a98971ac975e19efa2336b608506eefa85ce2485
CPU threads: 8; OS: Mac OS X 12.3.1; UI render: default; VCL: osx
Locale: de-DE (en_DE.UTF-8); UI: en-US
Calc: threaded

Setting to duplicate, although this bug is much older than the bug which was fixed and verified. With all the info in the other bug it is fair to assume that to be the "main" bug for this problem.

Please re-test with todays nightly build to confirm my assumption.

Kudos to Jan for addressing this very annoying and long-standing problem in LO.

*** This bug has been marked as a duplicate of bug 148115 ***
Comment 25 Michael Weghorn 2022-04-13 11:06:57 UTC
But note that tdf#148115 is for the qt5/qt6/kf5 VCL plugins on Linux only, and its fix only touches code specific to that, so it has no impact on macOS at all.
Comment 26 steve 2022-04-13 11:11:03 UTC
Good point. Are you still seeing the issue on macOS? If not, can you change this bug here to worksforme instead?
Comment 27 Alex Thurgood 2022-04-13 12:37:42 UTC
Bug still present in

Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: a98971ac975e19efa2336b608506eefa85ce2485
CPU threads: 8; OS: Mac OS X 12.2.1; UI render: default; VCL: osx
Locale: fr-FR (fr_FR.UTF-8); UI: en-US
Calc: threaded


1) Load a document into Writer
2) Start the spellcheck (Tools > Spelling)
3) Click on Options
4) Hover, or move the mouse cursor over one of the entries in the list of options - the flicker is still there.

Sorry, not fixed yet.
Comment 28 Alex Thurgood 2022-04-13 12:40:47 UTC
(In reply to Alex Thurgood from comment #27)
> Bug still present in

> 
> 1) Load a document into Writer
> 2) Start the spellcheck (Tools > Spelling)
> 3) Click on Options
> 4) Hover, or move the mouse cursor over one of the entries in the list of
> options - the flicker is still there.
> 
> Sorry, not fixed yet.

I also still see the flickering in the Tools > Macros > Organize > Basic > Organizer dialog.
Comment 29 Alex Thurgood 2022-04-13 12:48:38 UTC
Created attachment 179526 [details]
Screen capture displaying flickering tooltips
Comment 30 steve 2022-04-13 23:55:02 UTC
Confirming. What I find odd is that this does not affect all tooltips but only some. The flickering tooltips all seem to be in a dialog which is spawned from an open dialog. While tooltips on the first dialog show without flickering, the tooltips in the second level dialog are flickering.
Comment 31 Aron Budea 2022-06-06 23:06:25 UTC
*** Bug 148572 has been marked as a duplicate of this bug. ***
Comment 32 Aron Budea 2022-06-06 23:09:17 UTC
*** Bug 139245 has been marked as a duplicate of this bug. ***
Comment 33 Aron Budea 2022-06-06 23:09:54 UTC
*** Bug 144123 has been marked as a duplicate of this bug. ***
Comment 34 Aron Budea 2022-06-06 23:10:24 UTC
*** Bug 146563 has been marked as a duplicate of this bug. ***
Comment 35 Aron Budea 2022-06-06 23:12:25 UTC
*** Bug 144120 has been marked as a duplicate of this bug. ***
Comment 36 Aron Budea 2022-06-06 23:14:25 UTC
If someone has a fix to this, and any of the duplicates remain after retesting, do reopen those bug reports.